Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_QoS_Event_Handler Class Reference

This Handler is registered with the Reactor for QoS events. More...

`#include <QoS_Decorator.h>`

Inheritance diagram for ACE_QoS_Event_Handler

[legend]
Collaboration diagram for ACE_QoS_Event_Handler:

[legend]
List of all members.

## Private Methods
| ~ACE_QoS_Event_Handler (void)
| Destructor.
virtual ACE_HANDLE | get_handle (void) const
| Returns the RAPI file descriptor for receiving QoS events.
virtual int | handle_input (ACE_HANDLE fd)
| Calls the base class handle_input ().
void | qos_session (ACE_QoS_Session *qos_session)
| Sets the QoS session.
| ACE_QoS_Event_Handler (void)
| Constructor is private because only ACE_QoS_Decorator should create this object.
| ACE_QoS_Event_Handler (ACE_QoS_Decorator_Base *decorator_base)
| The QoS Decorator passes in its base for this handler to use.
## Private Attributes
ACE_QoS_Session* | qos_session_
| Used to get to the RAPI file descriptor for QoS Events.
ACE_QoS_Decorator_Base* | decorator_base_
| Requests on the class are forwarded to this base class;.
## Friends
class | ACE_QoS_Decorator

## Detailed Description

This Handler is registered with the Reactor for QoS events.

Concrete QoS decorator uses this class to receive QoS events for RAPI. It hides the application from knowing that it is receiving QoS events on a different socket so the application doesnt have to be designed differently for RAPI and GQoS.

## Constructor & Destructor Documentation

ACE_QoS_Event_Handler::~ACE_QoS_Event_Handler ( | void )`[private]`

| Destructor.

ACE_QoS_Event_Handler::ACE_QoS_Event_Handler ( | void )`[private]`

| Constructor is private because only ACE_QoS_Decorator should create this object.

ACE_QoS_Event_Handler::ACE_QoS_Event_Handler ( | ACE_QoS_Decorator_Base * decorator_base )`[private]`

| The QoS Decorator passes in its base for this handler to use.

## Member Function Documentation

ACE_HANDLE ACE_QoS_Event_Handler::get_handle ( | void ) const`[private, virtual]`

| Returns the RAPI file descriptor for receiving QoS events. Reimplemented from ACE_Event_Handler.

int ACE_QoS_Event_Handler::handle_input ( | ACE_HANDLE fd )`[private, virtual]`

| Calls the base class handle_input (). Reimplemented from ACE_Event_Handler.

void ACE_QoS_Event_Handler::qos_session ( | ACE_QoS_Session * qos_session )`[private]`

| Sets the QoS session.

## Friends And Related Function Documentation

class ACE_QoS_Decorator`[friend]`

## Member Data Documentation

ACE_QoS_Decorator_Base * ACE_QoS_Event_Handler::decorator_base_`[private]`

| Requests on the class are forwarded to this base class;.

ACE_QoS_Session * ACE_QoS_Event_Handler::qos_session_`[private]`

| Used to get to the RAPI file descriptor for QoS Events.

The documentation for this class was generated from the following files:

- QoS_Decorator.h
- QoS_Decorator.cpp